Bug#901887: build-depend should not list xtem

2018-06-19 Thread Philip Withnall
On Tue, 2018-06-19 at 16:20 -0400, Phillip Susi wrote: > Package: glib2.0 > Version: 2.56.1-2 > > I noticed while trying to build glib that it claims to build-depend > on > xterm, which is insane; no package should require xterm to build. I > forced it to build anyway without xterm installed,

Bug#908705: g_icon_to_string output includes some garbage prefix

2018-09-12 Thread Philip Withnall
On Wed, 2018-09-12 at 22:32 +0200, Eduard Bloch wrote: > Package: libglib2.0-0 > Version: 2.58.0-3 > Severity: important > > Hi, > > one of the last releases in the last couple of weeks has broken the > g_icon_to_string function. Previously, it did exactly what >

Bug#924344: glib2.0: CVE-2019-9633

2019-04-03 Thread Philip Withnall
On Wed, 2019-04-03 at 13:00 +0100, Simon McVittie wrote: > On Fri, 29 Mar 2019 at 20:13:17 +0100, Moritz Mühlenhoff wrote: > > On Mon, Mar 11, 2019 at 09:32:02PM +0100, Salvatore Bonaccorso > > wrote: > > > Version: 2.58.3-1 > > Do we know for sure that 2.58.x is vulnerable? I've tried the >

Bug#934655: libglib2.0-0: provide environment variable to suppress or redirect logging

2019-08-14 Thread Philip Withnall
On Tue, 2019-08-13 at 23:16 +, brian m. carlson wrote: > On 2019-08-13 at 06:12:30, Philip Withnall wrote: > > Hi, > > > > I can’t speak for the Debian project, but as an upstream GLib > > developer > > I can say such an environment variable would not be welc

Bug#934655: libglib2.0-0: provide environment variable to suppress or redirect logging

2019-08-13 Thread Philip Withnall
Hi, I can’t speak for the Debian project, but as an upstream GLib developer I can say such an environment variable would not be welcome upstream. Hiding such warnings makes them less likely to be fixed. It’s a way of sweeping bugs under the carpet which I don’t want to encourage. Each warning